Subject: Re: [Roll] Francesca Palombini's No Objection on draft-ietf-roll-aodv-rpl-10: (with COMMENT)

From: Charles Perkins <[email-masked]>
Date: Wed, 18 Aug 2021 13:10:05 -0700

Hello Francesca,

Please excuse the unusually long delay it has taken for us to respond to 
your comments.

Regarding the following:

 >  Francesca Palombini No Objection
 > Comment (2021-04-19)

 > Thank you for the work on this document. I have some minor 
comments/questions below.

 > Francesca

 > 1. -----
 >
 > Section 2.
 >
 > FP: Thank you for this very extensive (and useful) terminology 
section. I would suggest to add a sentence to say that the reader is 
expected to be familiar with RFC 6550 terminology. Alternatively, it 
might be good to add terms defined there and used in this document, such 
as DODAG and DODAGID, into this section as well. It also might improve 
readability to add references to documents when appropriate (for 
example, DIO could reference RFC 6550).
The following paragraph was added to the Terminology section.

         <t>
         AODV-RPL reuses names for messages and data structures, including
         Rank, DODAG and DODAGID, as defined in RPL <xref 
target="RFC6550"/>.
         </t>
 >
 > 2. -----
 >
 >    to OrigNode.  Intermediate routers join the Paired DODAGs based on
 >    the Rank as calculated from the DIO message.  Henceforth in this
 >
 > FP: Please add a reference to where Rank is first defined, and/or add 
it to the terminology.

See above.

 >
 > 3. -----
 >
 >    Target Prefix / Address
 >       (variable-length field) An IPv6 destination address or prefix.
 >       The Prefix Length field contains the number of valid leading bits
 >       in the prefix.  The length of the field is the least number of
 >       octets that can contain all of the bits of the Prefix, in other
 >       words Floor((7+(Prefix Length))/8) octets.  The remaining bits in
 >
 > FP: "Floor((7+(Prefix Length))/8)" I am not sure where the "7+" comes 
from. Noting that the Prefix Length is 7-bit long, I am tempted to say 
that the number of octets calculated here also includes Prefix Length, 
however that is not clear from the sentence above ("The length of the 
field" - I assume the field refers to the Target Prefix / Address only). 
I think some clarification is necessary.

The "7+" was included to account for Prefix Lengths that are not an even
multiple of 8.  The "7+" increases the Floor calculation by 1 in such cases.
However, Eric Vyncke suggest using the Ceil() function, which is better:

OLD:
       The length of the field is the least number of
       octets that can contain all of the bits of the Prefix, in other
       words Floor((7+(Prefix Length))/8) octets.

NEW:
       The Target Prefix / Address field contains the least number of
       octets that can hold all of the bits of the Prefix, in other
       words Ceil(Prefix Length/8) octets.

Regards,
Charlie P.

On 4/19/2021 8:44 AM, Francesca Palombini via Datatracker wrote:
> Francesca Palombini has entered the following ballot position for
> draft-ietf-roll-aodv-rpl-10: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-roll-aodv-rpl/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Thank you for the work on this document. I have some minor comments/questions
> below.
>
> Francesca
>
> 1. -----
>
> Section 2.
>
> FP: Thank you for this very extensive (and useful) terminology section. I would
> suggest to add a sentence to say that the reader is expected to be familiar
> with RFC 6550 terminology. Alternatively, it might be good to add terms defined
> there and used in this document, such as DODAG and DODAGID, into this section
> as well. It also might improve readability to add references to documents when
> appropriate (for example, DIO could reference RFC 6550).
>
> 2. -----
>
>     to OrigNode.  Intermediate routers join the Paired DODAGs based on
>     the Rank as calculated from the DIO message.  Henceforth in this
>
> FP: Please add a reference to where Rank is first defined, and/or add it to the
> terminology.
>
> 3. -----
>
>     Target Prefix / Address
>        (variable-length field) An IPv6 destination address or prefix.
>        The Prefix Length field contains the number of valid leading bits
>        in the prefix.  The length of the field is the least number of
>        octets that can contain all of the bits of the Prefix, in other
>        words Floor((7+(Prefix Length))/8) octets.  The remaining bits in
>
> FP: "Floor((7+(Prefix Length))/8)" I am not sure where the "7+" comes from.
> Noting that the Prefix Length is 7-bit long, I am tempted to say that the
> number of octets calculated here also includes Prefix Length, however that is
> not clear from the sentence above ("The length of the field" - I assume the
> field refers to the Target Prefix / Address only). I think some clarification
> is necessary.
>
>
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll